%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	DH
Summary:	Crypt::DH Perl module - Diffie-Hellman key exchange system implementation
Summary(pl.UTF-8):	Moduł Perla Crypt::DH - implementacja systemu wymiany kluczy Diffie-Hellman
Name:		perl-Crypt-DH
Version:	0.07
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5494c91420bf77de4af808fcafb6c3ce
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.56
BuildRequires:	perl-Math-BigInt >= 1.60
BuildRequires:	perl-Math-BigInt-GMP >= 1.24
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Math-BigInt >= 1.60
Requires:	perl-Math-BigInt-GMP >= 1.24
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::DH is a Perl implementation of the Diffie-Hellman key exchange
system. Diffie-Hellman is an algorithm by which two parties can agree
on a shared secret key, known only to them. The secret is negotiated
over an insecure network without the two parties ever passing the
actual shared secret, or their private keys, between them.

%description -l pl.UTF-8
Crypt::DH to perlowa implementacja systemu wymiany kluczy
Diffie-Hellman. Jest to algorytm, w którym dwie strony mogą zgodzić
się na wspólny tajny klucz, znany tylko im. Klucz jest negocjowany po
nie zabezpieczonej sieci bez przesyłania właściwego klucza ani
prywatnych kluczy między stronami.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README ToDo
%{perl_vendorlib}/Crypt/DH.pm
%{_mandir}/man3/*
%changelog
* Sat Nov 30 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-DH.git;a=log;h=master

* Thu Nov 14 2013 Marcin Krol <hawk@tld-linux.org> 02cf44a
- updated to 0.07, updated BRs and Rs

* Tue Nov 03 2009 Jan Rękorajski <baggins@pld-linux.org> 717c202
- rel 3
- more R

* Tue Nov 03 2009 Jan Rękorajski <baggins@pld-linux.org> b14f7ec
- rel 2
- updated R/BR

* Tue Nov 03 2009 Jan Rękorajski <baggins@pld-linux.org> 5b6bab7
- rel 1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> eff035e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 115d670
- converted to UTF-8

* Sun Jan 22 2006 Maciej Pijanka <agaran@pld-linux.org> 6e87c19
- up to 0.06 rel 0.1

* Tue Jun 21 2005 Paweł Cyranek <pawel.cyranek@gmail.com> b99557d
- updated to 0.05

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 3cc18aa
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> cf5d387
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> bb7b7d9
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> 8cd6d9c
- fixed perl-devel BR

* Mon Apr 19 2004 ankry <ankry@pld-linux.org> 1b0660c
- license fixes and unification

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 8024b57
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 84c8736
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> af796e6
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 17b249f
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 489cfcc
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> 89200ca
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> 88f9cee
- massive attack: change CPAN URLs

